This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 664393 - blueman-1.21-6.fc14: utils.py:28:warp:DBusException: org.freedesktop.DBus.Error.UnknownMethod: Method "ListDevices" with signature "" on interface "org.bluez.Adapter" doesn't exist
blueman-1.21-6.fc14: utils.py:28:warp:DBusException: org.freedesktop.DBus.Err...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
14
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-20 04:56 EST by Daniel Demus
Modified: 2012-08-16 15:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 15:41:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Demus 2010-12-20 04:56:39 EST
1. Bluaman crashes during login
2. Afterwards start Blueman from the System menu
3. A crash is reported, and the device list is empty
4. After quiting blueman and starting it again everything seems to work properly


utils.py:28:warp:DBusException: org.freedesktop.DBus.Error.UnknownMethod: Method "ListDevices" with signature "" on interface "org.bluez.Adapter" doesn't exist


Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 586, in msg_reply_handler
    reply_handler(*message.get_args_list(**get_args_opts))
  File "/usr/bin/blueman-manager", line 164, in on_bluez_name_owner_changed
    self.List.DisplayKnownDevices(autoselect=True)
  File "/usr/lib/python2.7/site-packages/blueman/gui/DeviceList.py", line 434, in DisplayKnownDevices
    devices = self.Adapter.ListDevices()
  File "/usr/lib/python2.7/site-packages/blueman/bluez/utils.py", line 28, in warp
    raise errors.parse_dbus_error(exception)
DBusException: org.freedesktop.DBus.Error.UnknownMethod: Method "ListDevices" with signature "" on interface "org.bluez.Adapter" doesn't exist


Local variables in innermost frame:
exception: DBusException('Method "ListDevices" with signature "" on interface "org.bluez.Adapter" doesn\'t exist\n',)
args: (<blueman.bluez.Adapter.Adapter object at 0xf20550>,)
func: <function ListDevices at 0xdb8578>
kwargs: {}
Comment 1 Fedora End Of Life 2012-08-16 15:41:58 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.